;this Lisp routine will allow you to draw lines perpendicular FROM the
;endpoint of a line.  Just use the Line command, and specify (perp) at
;the "To point:" prompt.
(defun PERP (/ ELAST ENT ET P1 P2 P3 SA SB OM AM)
    (setq ELAST (ENTLAST))
    (if ELAST
       (set ENT (entget ELAST) ET (cdr (assoc 0 ENT)))
    )
    (if(=et"LINE")
      (progn
         (setq
              P1 (trans(cdr(assoc 10 ENT))ELAST 1)
              P2 (trans(cdr(assoc 11 ENT))ELAST 1)
              AB (getvar "angbase")
              SA (getvar "snapang")
              SB (getvar "snapbase")
              OM (getvar "orthomode")
         )
         (setvar "angbase"(angle p1 p2))
         (setvar "snapang"(angle p1 p2))
         (setvar "snapbase"(list(car p2)(cadr p2)))
         (setvar "orthomode" 1)
         (setq p3 (getpoint p2))
         (setvar "snapang"sa)
         (setvar "snapbase"sb)
         (setvar "orthomode"om)
         (setvar "angbase"ab)

         )
      )
    )
